import React from 'react';
import { render } from 'react-dom';
import ReactPhoneSimple from '../../src';

const App = () => (
  <ReactPhoneSimple
    defaultPhoneCode="US"
    handleChange={e => console.log(e)}
    required
    placeholder="Please insert your phone number"
    preferredCountries={['de', 'us', 'pl']}
  />
);

render(<App />, document.getElementById('root'));
